# Uses of Class
net.shibboleth.idp.plugin.authn.webauthn.admin.CredentialCreationOptionsParameters

Packages that use CredentialCreationOptionsParameters
Package
Description
net.shibboleth.idp.plugin.authn.webauthn.admin
Administrative flow APIs for WebAuthn.
net.shibboleth.idp.plugin.authn.webauthn.client
Client APIs for WebAuthn.
net.shibboleth.idp.plugin.authn.webauthn.client.impl
This package has WebAuthn client implementations for WebAuthn.

## Uses of CredentialCreationOptionsParameters in net.shibboleth.idp.plugin.authn.webauthn.admin

Methods in net.shibboleth.idp.plugin.authn.webauthn.admin that return CredentialCreationOptionsParameters
Modifier and Type
Method
Description
`CredentialCreationOptionsParameters`
CredentialCreationOptionsParameters.Builder.`build()`
`CredentialCreationOptionsParameters`
CredentialCreationOptionsParameters.IBuildStage.`build()`
Build the options.

## Uses of CredentialCreationOptionsParameters in net.shibboleth.idp.plugin.authn.webauthn.client

Methods in net.shibboleth.idp.plugin.authn.webauthn.client with parameters of type CredentialCreationOptionsParameters
Modifier and Type
Method
Description
`com.yubico.webauthn.data.PublicKeyCredentialCreationOptions`
WebAuthnAuthenticationClient.`createRegistrationRequest(CredentialCreationOptionsParameters creationOptions)`
Create a PublicKeyCredentialCreationOptions for the WebAuthn 'create' call to generate a new registration attestation.

## Uses of CredentialCreationOptionsParameters in net.shibboleth.idp.plugin.authn.webauthn.client.impl

Methods in net.shibboleth.idp.plugin.authn.webauthn.client.impl with parameters of type CredentialCreationOptionsParameters
Modifier and Type
Method
Description
`com.yubico.webauthn.data.PublicKeyCredentialCreationOptions`
YubicoWebAuthnAuthenticationClient.`createRegistrationRequest(CredentialCreationOptionsParameters creationOptions)`
Create a PublicKeyCredentialCreationOptions for the WebAuthn 'create' call to generate a new registration attestation.